Search users based on filters specified in the request body.
Documentation Index
Fetch the complete documentation index at: https://conductorone-ian-account-to-user-pipeline.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
This API uses OAuth2 with the Client Credential flow. Client Credentials must be sent in the BODY, not the headers. For an example of how to implement this, refer to the c1TokenSource.Token() function.
Search for users based on some filters.
Filter for users based on their delegate status.
DELEGATE_STATUS_UNSPECIFIED, DELEGATE_STATUS_HAS_DELEGATE, DELEGATE_STATUS_NO_DELEGATE Filter for users that have any of the delegated user IDs on this list.
Search for users that have any of the departments on this list.
Search for users based on their email (exact match).
An array of users IDs to exclude from the results.
Filter to exclude users with these origins.
USER_ORIGIN_UNSPECIFIED, USER_ORIGIN_DIRECTORY, USER_ORIGIN_LOCAL, USER_ORIGIN_SYSTEM An array of types to exclude from the results.
USER_TYPE_UNSPECIFIED, USER_TYPE_SYSTEM, USER_TYPE_HUMAN, USER_TYPE_SERVICE, USER_TYPE_AGENT The user expand mask is used to indicate which related objects should be expanded in the response. The supported paths are 'role_ids', 'manager_ids', 'delegated_user_id', 'directory_ids', and '*'.
Deprecated. Use refs array instead.
Filter for users who are delegates of at least one other user.
Search for users that have any of the job titles on this list.
Search for users that have any of the manager IDs on this list.
Filter to include only users with these origins.
USER_ORIGIN_UNSPECIFIED, USER_ORIGIN_DIRECTORY, USER_ORIGIN_LOCAL, USER_ORIGIN_SYSTEM The pageSize where 0 <= pageSize <= 100. Values < 10 will be set to 10. A value of 0 returns the default page size (currently 25)
The pageToken field.
Query the apps with a fuzzy search on display name and emails.
An array of user refs to restrict the return values to by ID.
Search for users that have any of the role IDs on this list.
Search for users that have any of the statuses on this list. This can only be ENABLED, DISABLED, and DELETED
UNKNOWN, ENABLED, DISABLED, DELETED Successful response
The SearchUsersResponse message.
List of related objects
The list of results containing up to X results, where X is the page size defined in the request
The nextPageToken is shown for the next page if the number of results is larger than the max page size. The server returns one page of results and the nextPageToken until all results are retreived. To retrieve the next page, use the same request and append a pageToken field with the value of nextPageToken shown on the previous page.